Classification on SVHN with OLE-GRSVNet using PyTorch.

Implementaion of the article

```
"Stop memorizing: A data-dependent regularization framework for intrinsic pattern learning"

Wei Zhu, Qiang Qiu, Bao Wang, Jianfeng Lu, Guillermo Sapiro, and Ingrid Daubechies
```


Borrows heavily from [https://github.com/bearpaw/pytorch-classification]
and [https://github.com/jlezama/OrthogonalLowrankEmbedding]

## The implementation is tested with pytorch 0.3.1 on a Linux machine 


#### OLE-GRSVNet on the SVHN dataset with VGG-11 baseline (real data, real label)
```
python svhn_training_global.py -a vgg11 --wd 0 --lambda_ 5 --lr .01 --epochs 160 --schedule 80 120 --no_augment
```

#### OLE-GRSVNet on the SVHN dataset with VGG-11 baseline (real data, random label)
```
python svhn_randomlabel_training_global.py -a vgg11 --wd 0 --lambda_ 5 --lr .01 --epochs 800 --schedule 400 600 --no_augment
```

#### OLE-GRSVNet on random data with VGG-11 baseline
```
python svhn_randomdata_training_global.py -a vgg11 --wd 0 --lambda_ 5 --lr .01 --epochs 800 --schedule 400 600 --no_augment
```













